GCLOUD_SQL_BACKUPS_RESTORE(1)

NAME

gcloud sql backups restore - restores a backup of a Cloud SQL instance

SYNOPSIS

gcloud sql backups restore BACKUP_ID --restore-instance=RESTORE_INSTANCE [--async] [--backup-instance=BACKUP_INSTANCE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Restores a backup of a Cloud SQL instance.

POSITIONAL ARGUMENTS

    BACKUP_ID
        The ID of the backup run to restore from.

REQUIRED FLAGS

    --restore-instance=RESTORE_INSTANCE
        Cloud SQL instance ID that will be restored.

OPTIONAL FLAGS

    --async
        Do not wait for the operation to complete.

    --backup-instance=BACKUP_INSTANCE
        The ID of the instance that the backup was taken from.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.